[PVE-User] Update a cluster from 5.1-46 to 5.2

Thomas Lamprecht t.lamprecht at proxmox.com
Thu May 24 11:53:58 CEST 2018


On 5/24/18 11:28 AM, Mark Schouten wrote:
> there is no mention on upgrading from latest 4.4 to 5.0
>>>
>>> Is that intentional..? Or should it work just like a regular
>>> update?
>>>
> 
> Worked fine for me.
> 
>> It's easier as 3 to 4 as the cluster communication can stay intact
>> between 4.4 and 5.0 but not completely as easy as a 5.X to 5.Y
>> upgrade.
>>
>> See: https://pve.proxmox.com/wiki/Upgrade_from_4.x_to_5.0
> 
> The breaking changes seems to be incorrect. I was not able to live
> migrate with the changed VGA-setting. I was able to live migrate when I
> changed nothing.
> 

Hmm, that node is actually strange - I fixed this problem [1] and as long
as you have your 4.4 Node on latest packages (i.e., qemu-server in version
4.0-111 or newer) you should not run into this at all.

I'll update this section, thanks for noticing!

> Some guests froze after migration though. Not sure why, I don't mind
> that very much while upgrading a full cluster.
> 
 
That should not happen, obviously, but hiccups may be there between major
kernel upgrades and specific SW/HW setups - sadly.

[1]: https://git.proxmox.com/?p=qemu-server.git;a=commitdiff;h=f39957acea9f3ff9b9bcd8102f4b605d4934be15



More information about the pve-user mailing list